import { AnalyzeFoldersOptions } from './files';
import { AnalysisOptions, ConnectionOptions, GetAnalysisOptions } from './http';
import { FileBundle } from './bundles';
import { AnalysisResult } from './interfaces/analysis-result.interface';
export declare function analyzeBundle(options: GetAnalysisOptions): Promise<AnalysisResult>;
interface FileAnalysisOptions {
    connection: ConnectionOptions;
    analysisOptions: AnalysisOptions;
    fileOptions: AnalyzeFoldersOptions;
}
export interface FileAnalysis extends FileAnalysisOptions {
    fileBundle: FileBundle;
    analysisResults: AnalysisResult;
}
export declare function analyzeFolders(options: FileAnalysisOptions): Promise<FileAnalysis | null>;
interface ExtendAnalysisOptions extends FileAnalysis {
    files: string[];
}
export declare function extendAnalysis(options: ExtendAnalysisOptions): Promise<FileAnalysis | null>;
export {};
